- [HTTP request](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.PATH_PARAMETERS)
- [Request body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.request_body)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.response_body)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.PublishItemResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#body.aspect)
- [PublishType](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#PublishType)
- [DeployInfo](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#DeployInfo)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#DeployInfo.SCHEMA_REPRESENTATION)
- [WarningsInfo](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#WarningsInfo)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#WarningsInfo.SCHEMA_REPRESENTATION)
- [Warning](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#Warning)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#Warning.SCHEMA_REPRESENTATION)
- [Try it!](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#try-it)

Submit the item to be published in the store.

The item will be submitted for review unless `skipReview` is set to true, or the item is staged from a previous submission with `publishType` set to `STAGED_PUBLISH`.

### HTTP request

`POST https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:publish`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the item in the form `publishers/{publisherId}/items/{itemId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publishType": enum (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#PublishType`), "deployInfos": [ { object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#DeployInfo`) } ], "skipReview": boolean, "blockOnWarnings": boolean } ``` |

| Fields ||
|---|---|
| `publishType` | ``enum (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#PublishType`)`` Optional. Use this to control if the item is published immediately on approval or staged for publishing in the future. Defaults to `DEFAULT_PUBLISH` if unset. |
| `deployInfos[]` | ``object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#DeployInfo`)`` Optional. Additional deploy information including the desired initial percentage rollout. Defaults to the current value saved in the developer dashboard if unset. |
| `skipReview` | `boolean` Optional. Whether to attempt to skip item review. The API will validate if the item qualifies and return a validation error if the item requires review. Defaults to `false` if unset. |
| `blockOnWarnings` | `boolean` Optional. When set to true the request will fail if there are any warnings during validation and the details will be included in the `error.details`. Otherwise warnings are treated as non-blocking and will be ignored for validation but will be included in the response for inspection. Defaults to `false` if unset. |

### Response body

Response message for `items.publish`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "itemId": string, "state": enum (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/ItemState`), "warningInfo": { object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#WarningsInfo`) } } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the item that was submitted |
| `itemId` | `string` Output only. The ID of the item. |
| `state` | ``enum (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/ItemState`)`` Output only. The current state of the submission. |
| `warningInfo` | ``object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#WarningsInfo`)`` Output only. Non-blocking warnings encountered during the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chromewebstore`

## PublishType

The type of publishing this item will follow if it passes review.

| Enums ||
|---|---|
| `PUBLISH_TYPE_UNSPECIFIED` | Default value. This is the same as DEFAULT_PUBLISH. |
| `DEFAULT_PUBLISH` | The submission will be published immediately after being approved. |
| `STAGED_PUBLISH` | After approval the submission will be staged and can then be published by the developer. |

## DeployInfo

Deployment information for a specific release channel. Used in requests to update deployment parameters.

| JSON representation |
|---|
| ``` { "deployPercentage": integer } ``` |

| Fields ||
|---|---|
| `deployPercentage` | `integer` Required. The current deploy percentage for the release channel (nonnegative number between 0 and 100). |

## WarningsInfo

Message containing details on warnings encountered during items.publish.

| JSON representation |
|---|
| ``` { "warnings": [ { object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#Warning`) } ] } ``` |

| Fields ||
|---|---|
| `warnings[]` | ``object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/publish#Warning`)`` All warnings encountered during the request. |

## Warning

Represents a single warning encountered during the request.

| JSON representation |
|---|
| ``` { "reason": string, "description": string } ``` |

| Fields ||
|---|---|
| `reason` | `string` The reason for the warning. This is a constant value that identifies the proximate cause of the warning. |
| `description` | `string` A description of the warning. Developers should use this message to understand the warning and take appropriate action to resolve the issue. |